

package golfCourse.ontologies.jastor.contacts;

/*
import com.hp.hpl.jena.datatypes.xsd.*;
import com.hp.hpl.jena.datatypes.xsd.impl.*;
*/
import com.hp.hpl.jena.rdf.model.*;
//import com.ibm.adtech.jastor.JastorException;

/**
 * Interface for ContactTechnology ontology class<br>
 * Use the golfCourse.ontologies.jastor.contacts.ContactsFactory to create instances of this interface.
 * <p>(URI: file:///D:/ontologies/domain/Contacts/Contacts#ContactTechnology)</p>
 * <br>
 * RDF Schema Standard Properties <br>
 * 	comment : The medium through which particular contact can be reached. Implies the format of the address property. <br>
 * <br>
 * <br>
 */
public interface ContactTechnology extends com.ibm.adtech.jastor.Thing {
	
	/**
	 * The rdf:type for this ontology class
     */
	public static final Resource TYPE = ResourceFactory.createResource("file:///D:/ontologies/domain/Contacts/Contacts#ContactTechnology");
	


}