

package golfCourse.ontologies.jastor.contacts;

/*
import com.hp.hpl.jena.datatypes.xsd.*;
import com.hp.hpl.jena.datatypes.xsd.impl.*;
import com.hp.hpl.jena.rdf.model.*;
import com.ibm.adtech.jastor.*;
import java.util.*;
import java.math.*;
*/


/**
 * Implementations of this listener may be registered with instances of golfCourse.ontologies.jastor.contacts.Contacts to 
 * receive notification when properties changed, added or removed.
 * <br>
 */
public interface ContactsListener extends com.ibm.adtech.jastor.ThingListener {


	/**
	 * Called when use has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.contacts.Contacts
	 */
	public void useChanged(golfCourse.ontologies.jastor.contacts.Contacts source);

	/**
	 * Called when location has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.contacts.Contacts
	 */
	public void locationChanged(golfCourse.ontologies.jastor.contacts.Contacts source);

	/**
	 * Called when technology has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.contacts.Contacts
	 */
	public void technologyChanged(golfCourse.ontologies.jastor.contacts.Contacts source);

	/**
	 * Called when serviceType has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.contacts.Contacts
	 */
	public void serviceTypeChanged(golfCourse.ontologies.jastor.contacts.Contacts source);

	/**
	 * Called when address has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.contacts.Contacts
	 */
	public void addressChanged(golfCourse.ontologies.jastor.contacts.Contacts source);

}