

package golfCourse.ontologies.jastor.fee;

/*
import com.hp.hpl.jena.datatypes.xsd.*;
import com.hp.hpl.jena.datatypes.xsd.impl.*;
import com.hp.hpl.jena.rdf.model.*;
import com.ibm.adtech.jastor.*;
import java.util.*;
import java.math.*;
*/


/**
 * Implementations of this listener may be registered with instances of golfCourse.ontologies.jastor.fee.Fee to 
 * receive notification when properties changed, added or removed.
 * <br>
 */
public interface FeeListener extends com.ibm.adtech.jastor.ThingListener {


	/**
	 * Called when effectiveDate has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.fee.Fee
	 */
	public void effectiveDateChanged(golfCourse.ontologies.jastor.fee.Fee source);

	/**
	 * Called when expireDate has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.fee.Fee
	 */
	public void expireDateChanged(golfCourse.ontologies.jastor.fee.Fee source);

	/**
	 * Called when price has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.fee.Fee
	 */
	public void priceChanged(golfCourse.ontologies.jastor.fee.Fee source);

	/**
	 * Called when a value of description has been added
	 * @param source the affected instance of golfCourse.ontologies.jastor.fee.Fee
	 * @param newValue the object representing the new value
	 */	
	public void descriptionAdded(golfCourse.ontologies.jastor.fee.Fee source, com.ibm.adtech.jastor.Thing newValue);

	/**
	 * Called when a value of description has been removed
	 * @param source the affected instance of golfCourse.ontologies.jastor.fee.Fee
	 * @param oldValue the object representing the removed value
	 */
	public void descriptionRemoved(golfCourse.ontologies.jastor.fee.Fee source, com.ibm.adtech.jastor.Thing oldValue);
		
}