

package golfCourse.ontologies.jastor.golfCourse;

/*
import com.hp.hpl.jena.datatypes.xsd.*;
import com.hp.hpl.jena.datatypes.xsd.impl.*;
*/
import com.hp.hpl.jena.rdf.model.*;
//import com.ibm.adtech.jastor.JastorException;

/**
 * Interface for GolfCourse ontology class<br>
 * Use the golfCourse.ontologies.jastor.golfCourse.GolfCourseFactory to create instances of this interface.
 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#GolfCourse)</p>
 * <br>
 * <br>
 * <br>
 */
public interface GolfCourse extends com.ibm.adtech.jastor.Thing {
	
	/**
	 * The rdf:type for this ontology class
     */
	public static final Resource TYPE = ResourceFactory.createResource("file:///D:/ontologies/domain/Golf/GolfCourse#GolfCourse");
	

	/**
	 * The Jena Property for grassType 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#grassType)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property grassTypeProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#grassType");


	/**
	 * The Jena Property for contactInfo 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#contactInfo)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property contactInfoProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#contactInfo");


	/**
	 * The Jena Property for name 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#name)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property nameProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#name");


	/**
	 * The Jena Property for permCart 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#permCart)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property permCartProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#permCart");


	/**
	 * The Jena Property for fee 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#fee)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property feeProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#fee");


	/**
	 * The Jena Property for address 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#address)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property addressProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#address");


	/**
	 * The Jena Property for yardage 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#yardage)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property yardageProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#yardage");


	/**
	 * The Jena Property for singlesConfirmed 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#singlesConfirmed)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property singlesConfirmedProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#singlesConfirmed");


	/**
	 * The Jena Property for availCaddy 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#availCaddy)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property availCaddyProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#availCaddy");


	/**
	 * The Jena Property for homePage 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#homePage)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property homePageProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#homePage");


	/**
	 * The Jena Property for discounts 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#discounts)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property discountsProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#discounts");


	/**
	 * The Jena Property for architect 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#architect)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property architectProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#architect");


	/**
	 * The Jena Property for acceptedMeanOfPayment 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#acceptedMeanOfPayment)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property acceptedMeanOfPaymentProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#acceptedMeanOfPayment");


	/**
	 * The Jena Property for slope 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#slope)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property slopeProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#slope");


	/**
	 * The Jena Property for id 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#id)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property idProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#id");


	/**
	 * The Jena Property for metalSpikes 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#metalSpikes)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property metalSpikesProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#metalSpikes");


	/**
	 * The Jena Property for reservation 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourse#reservation)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property reservationProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourse#reservation");



	/**
	 * Gets the 'grassType' property value
	 * @return		{@link java.lang.String}
	 * @see			#grassTypeProperty
	 */
	public java.lang.String getGrassType() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'grassType' property value
	 * @param		{@link java.lang.String}
	 * @see			#grassTypeProperty
	 */
	public void setGrassType(java.lang.String grassType) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'contactInfo' property value
	 * @return		{@link com.ibm.adtech.jastor.Thing}
	 * @see			#contactInfoProperty
	 */
	public com.ibm.adtech.jastor.Thing getContactInfo() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'contactInfo' property value
	 * @param		{@link com.ibm.adtech.jastor.Thing}
	 * @see			#contactInfoProperty
	 */
	public void setContactInfo(com.ibm.adtech.jastor.Thing contactInfo) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Sets the 'contactInfo' property value to an anonymous node
	 * @return		{@link com.ibm.adtech.jastor.Thing}, the created value
	 * @see			#contactInfoProperty
	 */	
	public com.ibm.adtech.jastor.Thing setContactInfo() throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Sets the 'contactInfo' property value to the given resource, and add's rdf:type properties.  This
	 * method is equivalent constructing a new instance of {@link com.ibm.adtech.jastor.Thing} with the factory.
	 * and calling setContactInfo(com.ibm.adtech.jastor.Thing contactInfo)
	 * The resource argument have rdf:type http://www.w3.org/2000/01/rdf-schema#Resource.  That is, this method
	 * should not be used as a shortcut for creating new objects in the model.
	 * @param		{@link com.hp.hpl.jena.rdf.model.Resource} must not be be null.
	 * @return		{@link com.ibm.adtech.jastor.Thing}, the newly created value
	 * @see			#contactInfoProperty
	 */
	public com.ibm.adtech.jastor.Thing setContactInfo(com.hp.hpl.jena.rdf.model.Resource resource) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Gets the 'name' property value
	 * @return		{@link java.lang.String}
	 * @see			#nameProperty
	 */
	public java.lang.String getName() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'name' property value
	 * @param		{@link java.lang.String}
	 * @see			#nameProperty
	 */
	public void setName(java.lang.String name) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'permCart' property value
	 * @return		{@link java.lang.Boolean}
	 * @see			#permCartProperty
	 */
	public java.lang.Boolean getPermCart() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'permCart' property value
	 * @param		{@link java.lang.Boolean}
	 * @see			#permCartProperty
	 */
	public void setPermCart(java.lang.Boolean permCart) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Get an Iterator the 'fee' property values.  This Iteartor
	 * may be used to remove all such values.
	 * @return		{@link java.util.Iterator} of {@link com.ibm.adtech.jastor.Thing}
	 * @see			#feeProperty
	 */
	public java.util.Iterator getFee() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Adds a value for the 'fee' property
	 * @param		The {@link com.ibm.adtech.jastor.Thing} to add
	 * @see			#feeProperty
	 */
	public void addFee(com.ibm.adtech.jastor.Thing fee) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Adds an anonymous value for the 'fee' property
	 * @return		The anoymous {@link com.ibm.adtech.jastor.Thing} created
	 * @see			#feeProperty
	 */
	public com.ibm.adtech.jastor.Thing addFee() throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Adds a value for the 'fee' property.  This
	 * method is equivalent constructing a new instance of {@link com.ibm.adtech.jastor.Thing} with the factory
	 * and calling addFee(com.ibm.adtech.jastor.Thing fee)
	 * The resource argument have rdf:type http://www.w3.org/2000/01/rdf-schema#Resource.  That is, this method
	 * should not be used as a shortcut for creating new objects in the model.
	 * @param		The {@link om.hp.hpl.jena.rdf.model.Resource} to add
	 * @see			#feeProperty
	 */
	public com.ibm.adtech.jastor.Thing addFee(com.hp.hpl.jena.rdf.model.Resource resource) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Removes a value for the 'fee' property.  This method should not
	 * be invoked while iterator through values.  In that case, the remove() method of the Iterator
	 * itself should be used.
	 * @param		The {@link com.ibm.adtech.jastor.Thing} to remove
	 * @see			#feeProperty
	 */
	public void removeFee(com.ibm.adtech.jastor.Thing fee) throws com.ibm.adtech.jastor.JastorException;
		
	/**
	 * Gets the 'address' property value
	 * @return		{@link com.ibm.adtech.jastor.Thing}
	 * @see			#addressProperty
	 */
	public com.ibm.adtech.jastor.Thing getAddress() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'address' property value
	 * @param		{@link com.ibm.adtech.jastor.Thing}
	 * @see			#addressProperty
	 */
	public void setAddress(com.ibm.adtech.jastor.Thing address) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Sets the 'address' property value to an anonymous node
	 * @return		{@link com.ibm.adtech.jastor.Thing}, the created value
	 * @see			#addressProperty
	 */	
	public com.ibm.adtech.jastor.Thing setAddress() throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Sets the 'address' property value to the given resource, and add's rdf:type properties.  This
	 * method is equivalent constructing a new instance of {@link com.ibm.adtech.jastor.Thing} with the factory.
	 * and calling setAddress(com.ibm.adtech.jastor.Thing address)
	 * The resource argument have rdf:type http://www.w3.org/2000/01/rdf-schema#Resource.  That is, this method
	 * should not be used as a shortcut for creating new objects in the model.
	 * @param		{@link com.hp.hpl.jena.rdf.model.Resource} must not be be null.
	 * @return		{@link com.ibm.adtech.jastor.Thing}, the newly created value
	 * @see			#addressProperty
	 */
	public com.ibm.adtech.jastor.Thing setAddress(com.hp.hpl.jena.rdf.model.Resource resource) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Gets the 'yardage' property value
	 * @return		{@link java.lang.Float}
	 * @see			#yardageProperty
	 */
	public java.lang.Float getYardage() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'yardage' property value
	 * @param		{@link java.lang.Float}
	 * @see			#yardageProperty
	 */
	public void setYardage(java.lang.Float yardage) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'singlesConfirmed' property value
	 * @return		{@link java.lang.Boolean}
	 * @see			#singlesConfirmedProperty
	 */
	public java.lang.Boolean getSinglesConfirmed() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'singlesConfirmed' property value
	 * @param		{@link java.lang.Boolean}
	 * @see			#singlesConfirmedProperty
	 */
	public void setSinglesConfirmed(java.lang.Boolean singlesConfirmed) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'availCaddy' property value
	 * @return		{@link java.lang.Boolean}
	 * @see			#availCaddyProperty
	 */
	public java.lang.Boolean getAvailCaddy() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'availCaddy' property value
	 * @param		{@link java.lang.Boolean}
	 * @see			#availCaddyProperty
	 */
	public void setAvailCaddy(java.lang.Boolean availCaddy) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'homePage' property value
	 * @return		{@link java.lang.String}
	 * @see			#homePageProperty
	 */
	public java.lang.String getHomePage() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'homePage' property value
	 * @param		{@link java.lang.String}
	 * @see			#homePageProperty
	 */
	public void setHomePage(java.lang.String homePage) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Get an Iterator the 'discounts' property values.  This Iteartor
	 * may be used to remove all such values.
	 * @return		{@link java.util.Iterator} of {@link com.ibm.adtech.jastor.Thing}
	 * @see			#discountsProperty
	 */
	public java.util.Iterator getDiscounts() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Adds a value for the 'discounts' property
	 * @param		The {@link com.ibm.adtech.jastor.Thing} to add
	 * @see			#discountsProperty
	 */
	public void addDiscounts(com.ibm.adtech.jastor.Thing discounts) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Adds an anonymous value for the 'discounts' property
	 * @return		The anoymous {@link com.ibm.adtech.jastor.Thing} created
	 * @see			#discountsProperty
	 */
	public com.ibm.adtech.jastor.Thing addDiscounts() throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Adds a value for the 'discounts' property.  This
	 * method is equivalent constructing a new instance of {@link com.ibm.adtech.jastor.Thing} with the factory
	 * and calling addDiscounts(com.ibm.adtech.jastor.Thing discounts)
	 * The resource argument have rdf:type http://www.w3.org/2000/01/rdf-schema#Resource.  That is, this method
	 * should not be used as a shortcut for creating new objects in the model.
	 * @param		The {@link om.hp.hpl.jena.rdf.model.Resource} to add
	 * @see			#discountsProperty
	 */
	public com.ibm.adtech.jastor.Thing addDiscounts(com.hp.hpl.jena.rdf.model.Resource resource) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Removes a value for the 'discounts' property.  This method should not
	 * be invoked while iterator through values.  In that case, the remove() method of the Iterator
	 * itself should be used.
	 * @param		The {@link com.ibm.adtech.jastor.Thing} to remove
	 * @see			#discountsProperty
	 */
	public void removeDiscounts(com.ibm.adtech.jastor.Thing discounts) throws com.ibm.adtech.jastor.JastorException;
		
	/**
	 * Iterates through the 'architect' property values.  This Iteartor
	 * may be used to remove all such values.
	 * @return		{@link java.util.Iterator} of {@link java.lang.String}
	 * @see			#architectProperty
	 */
	public java.util.Iterator getArchitect() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Add a 'architect' property value
	 * @param		{@link java.lang.String}, the value to add
	 * @see			#architectProperty
	 */
	public void addArchitect(java.lang.String architect) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Remove a 'architect' property value. This method should not
	 * be invoked while iterator through values.  In that case, the remove() method of the Iterator
	 * itself should be used.
	 * @param		{@link java.lang.String}, the value to remove
	 * @see			#architectProperty
	 */
	public void removeArchitect(java.lang.String architect) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Get an Iterator the 'acceptedMeanOfPayment' property values.  This Iteartor
	 * may be used to remove all such values.
	 * @return		{@link java.util.Iterator} of {@link com.ibm.adtech.jastor.Thing}
	 * @see			#acceptedMeanOfPaymentProperty
	 */
	public java.util.Iterator getAcceptedMeanOfPayment() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Adds a value for the 'acceptedMeanOfPayment' property
	 * @param		The {@link com.ibm.adtech.jastor.Thing} to add
	 * @see			#acceptedMeanOfPaymentProperty
	 */
	public void addAcceptedMeanOfPayment(com.ibm.adtech.jastor.Thing acceptedMeanOfPayment) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Adds an anonymous value for the 'acceptedMeanOfPayment' property
	 * @return		The anoymous {@link com.ibm.adtech.jastor.Thing} created
	 * @see			#acceptedMeanOfPaymentProperty
	 */
	public com.ibm.adtech.jastor.Thing addAcceptedMeanOfPayment() throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Adds a value for the 'acceptedMeanOfPayment' property.  This
	 * method is equivalent constructing a new instance of {@link com.ibm.adtech.jastor.Thing} with the factory
	 * and calling addAcceptedMeanOfPayment(com.ibm.adtech.jastor.Thing acceptedMeanOfPayment)
	 * The resource argument have rdf:type http://www.w3.org/2000/01/rdf-schema#Resource.  That is, this method
	 * should not be used as a shortcut for creating new objects in the model.
	 * @param		The {@link om.hp.hpl.jena.rdf.model.Resource} to add
	 * @see			#acceptedMeanOfPaymentProperty
	 */
	public com.ibm.adtech.jastor.Thing addAcceptedMeanOfPayment(com.hp.hpl.jena.rdf.model.Resource resource) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Removes a value for the 'acceptedMeanOfPayment' property.  This method should not
	 * be invoked while iterator through values.  In that case, the remove() method of the Iterator
	 * itself should be used.
	 * @param		The {@link com.ibm.adtech.jastor.Thing} to remove
	 * @see			#acceptedMeanOfPaymentProperty
	 */
	public void removeAcceptedMeanOfPayment(com.ibm.adtech.jastor.Thing acceptedMeanOfPayment) throws com.ibm.adtech.jastor.JastorException;
		
	/**
	 * Gets the 'slope' property value
	 * @return		{@link java.math.BigInteger}
	 * @see			#slopeProperty
	 */
	public java.math.BigInteger getSlope() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'slope' property value
	 * @param		{@link java.math.BigInteger}
	 * @see			#slopeProperty
	 */
	public void setSlope(java.math.BigInteger slope) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'id' property value
	 * @return		{@link java.lang.String}
	 * @see			#idProperty
	 */
	public java.lang.String getId() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'id' property value
	 * @param		{@link java.lang.String}
	 * @see			#idProperty
	 */
	public void setId(java.lang.String id) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'metalSpikes' property value
	 * @return		{@link java.lang.Boolean}
	 * @see			#metalSpikesProperty
	 */
	public java.lang.Boolean getMetalSpikes() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'metalSpikes' property value
	 * @param		{@link java.lang.Boolean}
	 * @see			#metalSpikesProperty
	 */
	public void setMetalSpikes(java.lang.Boolean metalSpikes) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Get an Iterator the 'reservation' property values.  This Iteartor
	 * may be used to remove all such values.
	 * @return		{@link java.util.Iterator} of {@link com.ibm.adtech.jastor.Thing}
	 * @see			#reservationProperty
	 */
	public java.util.Iterator getReservation() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Adds a value for the 'reservation' property
	 * @param		The {@link com.ibm.adtech.jastor.Thing} to add
	 * @see			#reservationProperty
	 */
	public void addReservation(com.ibm.adtech.jastor.Thing reservation) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Adds an anonymous value for the 'reservation' property
	 * @return		The anoymous {@link com.ibm.adtech.jastor.Thing} created
	 * @see			#reservationProperty
	 */
	public com.ibm.adtech.jastor.Thing addReservation() throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Adds a value for the 'reservation' property.  This
	 * method is equivalent constructing a new instance of {@link com.ibm.adtech.jastor.Thing} with the factory
	 * and calling addReservation(com.ibm.adtech.jastor.Thing reservation)
	 * The resource argument have rdf:type http://www.w3.org/2000/01/rdf-schema#Resource.  That is, this method
	 * should not be used as a shortcut for creating new objects in the model.
	 * @param		The {@link om.hp.hpl.jena.rdf.model.Resource} to add
	 * @see			#reservationProperty
	 */
	public com.ibm.adtech.jastor.Thing addReservation(com.hp.hpl.jena.rdf.model.Resource resource) throws com.ibm.adtech.jastor.JastorException;
	
	/**
	 * Removes a value for the 'reservation' property.  This method should not
	 * be invoked while iterator through values.  In that case, the remove() method of the Iterator
	 * itself should be used.
	 * @param		The {@link com.ibm.adtech.jastor.Thing} to remove
	 * @see			#reservationProperty
	 */
	public void removeReservation(com.ibm.adtech.jastor.Thing reservation) throws com.ibm.adtech.jastor.JastorException;
		
}