

package golfCourse.ontologies.jastor.golfCourse;

/*
import com.hp.hpl.jena.datatypes.xsd.*;
import com.hp.hpl.jena.datatypes.xsd.impl.*;
import com.hp.hpl.jena.rdf.model.*;
import com.ibm.adtech.jastor.*;
import java.util.*;
import java.math.*;
*/


/**
 * Implementations of this listener may be registered with instances of golfCourse.ontologies.jastor.golfCourse.GolfCourse to 
 * receive notification when properties changed, added or removed.
 * <br>
 */
public interface GolfCourseListener extends com.ibm.adtech.jastor.ThingListener {


	/**
	 * Called when grassType has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void grassTypeChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when contactInfo has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void contactInfoChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when name has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void nameChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when permCart has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void permCartChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when a value of fee has been added
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 * @param newValue the object representing the new value
	 */	
	public void feeAdded(golfCourse.ontologies.jastor.golfCourse.GolfCourse source, com.ibm.adtech.jastor.Thing newValue);

	/**
	 * Called when a value of fee has been removed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 * @param oldValue the object representing the removed value
	 */
	public void feeRemoved(golfCourse.ontologies.jastor.golfCourse.GolfCourse source, com.ibm.adtech.jastor.Thing oldValue);
		
	/**
	 * Called when address has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void addressChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when yardage has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void yardageChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when singlesConfirmed has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void singlesConfirmedChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when availCaddy has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void availCaddyChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when homePage has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void homePageChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when a value of discounts has been added
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 * @param newValue the object representing the new value
	 */	
	public void discountsAdded(golfCourse.ontologies.jastor.golfCourse.GolfCourse source, com.ibm.adtech.jastor.Thing newValue);

	/**
	 * Called when a value of discounts has been removed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 * @param oldValue the object representing the removed value
	 */
	public void discountsRemoved(golfCourse.ontologies.jastor.golfCourse.GolfCourse source, com.ibm.adtech.jastor.Thing oldValue);
		
	/**
	 * Called when a value of architect has been added
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 * @param newValue the object representing the new value
	 */	
	public void architectAdded(golfCourse.ontologies.jastor.golfCourse.GolfCourse source, java.lang.String newValue);

	/**
	 * Called when a value of architect has been removed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 * @param oldValue the object representing the removed value
	 */	
	public void architectRemoved(golfCourse.ontologies.jastor.golfCourse.GolfCourse source, java.lang.String oldValue);

	/**
	 * Called when a value of acceptedMeanOfPayment has been added
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 * @param newValue the object representing the new value
	 */	
	public void acceptedMeanOfPaymentAdded(golfCourse.ontologies.jastor.golfCourse.GolfCourse source, com.ibm.adtech.jastor.Thing newValue);

	/**
	 * Called when a value of acceptedMeanOfPayment has been removed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 * @param oldValue the object representing the removed value
	 */
	public void acceptedMeanOfPaymentRemoved(golfCourse.ontologies.jastor.golfCourse.GolfCourse source, com.ibm.adtech.jastor.Thing oldValue);
		
	/**
	 * Called when slope has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void slopeChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when id has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void idChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when metalSpikes has changed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 */
	public void metalSpikesChanged(golfCourse.ontologies.jastor.golfCourse.GolfCourse source);

	/**
	 * Called when a value of reservation has been added
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 * @param newValue the object representing the new value
	 */	
	public void reservationAdded(golfCourse.ontologies.jastor.golfCourse.GolfCourse source, com.ibm.adtech.jastor.Thing newValue);

	/**
	 * Called when a value of reservation has been removed
	 * @param source the affected instance of golfCourse.ontologies.jastor.golfCourse.GolfCourse
	 * @param oldValue the object representing the removed value
	 */
	public void reservationRemoved(golfCourse.ontologies.jastor.golfCourse.GolfCourse source, com.ibm.adtech.jastor.Thing oldValue);
		
}