

package golfCourse.ontologies.jastor.golfCourseTeeTime;

/*
import com.hp.hpl.jena.datatypes.xsd.*;
import com.hp.hpl.jena.datatypes.xsd.impl.*;
*/
import com.hp.hpl.jena.rdf.model.*;
import com.hp.hpl.jena.rdf.listeners.StatementListener;
import com.hp.hpl.jena.vocabulary.RDF;
import com.ibm.adtech.jastor.*;


/**
 * Implementation of {@link golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime}
 * Use the golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeFactory to create instances of this class.
 * <p>(URI: file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#GolfCourseTeeTime)</p>
 * <br>
 */
public class GolfCourseTeeTimeImpl extends com.ibm.adtech.jastor.ThingImpl implements golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime {
	

	private static com.hp.hpl.jena.rdf.model.Property golfCourseIDProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#golfCourseID");
	private java.lang.String golfCourseID;
	private static com.hp.hpl.jena.rdf.model.Property numberOfTimesProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#numberOfTimes");
	private java.math.BigInteger numberOfTimes;
	private static com.hp.hpl.jena.rdf.model.Property currencyCodeProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#currencyCode");
	private java.lang.String currencyCode;
	private static com.hp.hpl.jena.rdf.model.Property amountProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#amount");
	private java.lang.Float amount;
	private static com.hp.hpl.jena.rdf.model.Property numberOfHolesProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#numberOfHoles");
	private java.math.BigInteger numberOfHoles;
	private static com.hp.hpl.jena.rdf.model.Property numberOfGolfersProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#numberOfGolfers");
	private java.math.BigInteger numberOfGolfers;
	private static com.hp.hpl.jena.rdf.model.Property maxPriceProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#maxPrice");
	private java.lang.Float maxPrice;
	private static com.hp.hpl.jena.rdf.model.Property startDateProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#startDate");
	private java.lang.String startDate;
	private static com.hp.hpl.jena.rdf.model.Property endDateProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#endDate");
	private java.lang.String endDate;
	private static com.hp.hpl.jena.rdf.model.Property feeProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#fee");
	private java.util.ArrayList fee;

	GolfCourseTeeTimeImpl(Resource resource, Model model) throws JastorException {
		super(resource, model);
		setupModelListener();
	}     
    	
	static GolfCourseTeeTimeImpl getGolfCourseTeeTime(Resource resource, Model model) throws JastorException {
		if (!resource.hasProperty(RDF.type,GolfCourseTeeTime.TYPE))
			throw new JastorException("Resource " + resource + " not of type " + GolfCourseTeeTime.TYPE);
		return new GolfCourseTeeTimeImpl(resource, model);
	}
	    
	static GolfCourseTeeTimeImpl createGolfCourseTeeTime(Resource resource, Model model) throws JastorException {
		GolfCourseTeeTimeImpl impl = new GolfCourseTeeTimeImpl(resource, model);
		
		if (!impl._model.contains(new com.hp.hpl.jena.rdf.model.impl.StatementImpl(impl._resource, RDF.type, GolfCourseTeeTime.TYPE)))
			impl._model.add(impl._resource, RDF.type, GolfCourseTeeTime.TYPE);
		impl.addSuperTypes();
		impl.addHasValueValues();
		return impl;
	}
	
	void addSuperTypes() {
	}
   
	void addHasValueValues() {
	}
    
    private void setupModelListener() {
    	listeners = new java.util.ArrayList();
    	golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeFactory.registerThing(this);
    }

	public java.util.List listStatements() {
		java.util.List list = new java.util.ArrayList();
		StmtIterator it = null;
		it = _resource.listProperties(golfCourseIDProperty);
		while (it.hasNext()) {
			list.add(it.next());
		}
		it = _resource.listProperties(numberOfTimesProperty);
		while (it.hasNext()) {
			list.add(it.next());
		}
		it = _resource.listProperties(currencyCodeProperty);
		while (it.hasNext()) {
			list.add(it.next());
		}
		it = _resource.listProperties(amountProperty);
		while (it.hasNext()) {
			list.add(it.next());
		}
		it = _resource.listProperties(numberOfHolesProperty);
		while (it.hasNext()) {
			list.add(it.next());
		}
		it = _resource.listProperties(numberOfGolfersProperty);
		while (it.hasNext()) {
			list.add(it.next());
		}
		it = _resource.listProperties(maxPriceProperty);
		while (it.hasNext()) {
			list.add(it.next());
		}
		it = _resource.listProperties(startDateProperty);
		while (it.hasNext()) {
			list.add(it.next());
		}
		it = _resource.listProperties(endDateProperty);
		while (it.hasNext()) {
			list.add(it.next());
		}
		it = _resource.listProperties(feeProperty);
		while (it.hasNext()) {
			list.add(it.next());
		}
		it = _model.listStatements(_resource,RDF.type, golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime.TYPE);
		while (it.hasNext()) {
			list.add(it.next());
		}
		return list;
	}
	
	public void clearCache() {
		golfCourseID = null;
		numberOfTimes = null;
		currencyCode = null;
		amount = null;
		numberOfHoles = null;
		numberOfGolfers = null;
		maxPrice = null;
		startDate = null;
		endDate = null;
		fee = null;
	}

	public java.lang.String getGolfCourseID() throws JastorException {
		if (golfCourseID != null)
			return golfCourseID;
		com.hp.hpl.jena.rdf.model.Statement stmt = _model.getProperty(_resource, golfCourseIDProperty);
		if (stmt == null)
			return null;
		if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
			throw new JastorInvalidRDFNodeException(uri() + ": golfCourseID getProperty() in golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime model not Literal", stmt.getObject());
		com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
		Object obj = literal.getValue();
		if (!(obj instanceof java.lang.String))
			throw new JastorInvalidLiteralException (this.uri() + ": Literal golfCourseID in GolfCourseTeeTime is not of type java.lang.String", literal);
		golfCourseID = (java.lang.String)obj;
		return golfCourseID;
	}
	
	public void setGolfCourseID(java.lang.String golfCourseID) throws JastorException {
		if (_resource.hasProperty(golfCourseIDProperty)) {
			_resource.removeAll(golfCourseIDProperty);
		}
		this.golfCourseID = golfCourseID;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
		if (golfCourseID != null) {
			_resource.addProperty(golfCourseIDProperty, _model.createTypedLiteral(golfCourseID));
		}	
	}

	public java.math.BigInteger getNumberOfTimes() throws JastorException {
		if (numberOfTimes != null)
			return numberOfTimes;
		com.hp.hpl.jena.rdf.model.Statement stmt = _model.getProperty(_resource, numberOfTimesProperty);
		if (stmt == null)
			return null;
		if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
			throw new JastorInvalidRDFNodeException(uri() + ": numberOfTimes getProperty() in golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime model not Literal", stmt.getObject());
		com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
		Object obj = literal.getValue();
		if (!(obj instanceof java.math.BigInteger))
			throw new JastorInvalidLiteralException (this.uri() + ": Literal numberOfTimes in GolfCourseTeeTime is not of type java.math.BigInteger", literal);
		numberOfTimes = (java.math.BigInteger)obj;
		return numberOfTimes;
	}
	
	public void setNumberOfTimes(java.math.BigInteger numberOfTimes) throws JastorException {
		if (_resource.hasProperty(numberOfTimesProperty)) {
			_resource.removeAll(numberOfTimesProperty);
		}
		this.numberOfTimes = numberOfTimes;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
		if (numberOfTimes != null) {
			_resource.addProperty(numberOfTimesProperty, _model.createTypedLiteral(numberOfTimes));
		}	
	}

	public java.lang.String getCurrencyCode() throws JastorException {
		if (currencyCode != null)
			return currencyCode;
		com.hp.hpl.jena.rdf.model.Statement stmt = _model.getProperty(_resource, currencyCodeProperty);
		if (stmt == null)
			return null;
		if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
			throw new JastorInvalidRDFNodeException(uri() + ": currencyCode getProperty() in golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime model not Literal", stmt.getObject());
		com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
		Object obj = literal.getValue();
		if (!(obj instanceof java.lang.String))
			throw new JastorInvalidLiteralException (this.uri() + ": Literal currencyCode in GolfCourseTeeTime is not of type java.lang.String", literal);
		currencyCode = (java.lang.String)obj;
		return currencyCode;
	}
	
	public void setCurrencyCode(java.lang.String currencyCode) throws JastorException {
		if (_resource.hasProperty(currencyCodeProperty)) {
			_resource.removeAll(currencyCodeProperty);
		}
		this.currencyCode = currencyCode;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
		if (currencyCode != null) {
			_resource.addProperty(currencyCodeProperty, _model.createTypedLiteral(currencyCode));
		}	
	}

	public java.lang.Float getAmount() throws JastorException {
		if (amount != null)
			return amount;
		com.hp.hpl.jena.rdf.model.Statement stmt = _model.getProperty(_resource, amountProperty);
		if (stmt == null)
			return null;
		if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
			throw new JastorInvalidRDFNodeException(uri() + ": amount getProperty() in golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime model not Literal", stmt.getObject());
		com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
		Object obj = literal.getValue();
		if (!(obj instanceof java.lang.Float))
			throw new JastorInvalidLiteralException (this.uri() + ": Literal amount in GolfCourseTeeTime is not of type java.lang.Float", literal);
		amount = (java.lang.Float)obj;
		return amount;
	}
	
	public void setAmount(java.lang.Float amount) throws JastorException {
		if (_resource.hasProperty(amountProperty)) {
			_resource.removeAll(amountProperty);
		}
		this.amount = amount;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
		if (amount != null) {
			_resource.addProperty(amountProperty, _model.createTypedLiteral(amount));
		}	
	}

	public java.math.BigInteger getNumberOfHoles() throws JastorException {
		if (numberOfHoles != null)
			return numberOfHoles;
		com.hp.hpl.jena.rdf.model.Statement stmt = _model.getProperty(_resource, numberOfHolesProperty);
		if (stmt == null)
			return null;
		if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
			throw new JastorInvalidRDFNodeException(uri() + ": numberOfHoles getProperty() in golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime model not Literal", stmt.getObject());
		com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
		Object obj = literal.getValue();
		if (!(obj instanceof java.math.BigInteger))
			throw new JastorInvalidLiteralException (this.uri() + ": Literal numberOfHoles in GolfCourseTeeTime is not of type java.math.BigInteger", literal);
		numberOfHoles = (java.math.BigInteger)obj;
		return numberOfHoles;
	}
	
	public void setNumberOfHoles(java.math.BigInteger numberOfHoles) throws JastorException {
		if (_resource.hasProperty(numberOfHolesProperty)) {
			_resource.removeAll(numberOfHolesProperty);
		}
		this.numberOfHoles = numberOfHoles;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
		if (numberOfHoles != null) {
			_resource.addProperty(numberOfHolesProperty, _model.createTypedLiteral(numberOfHoles));
		}	
	}

	public java.math.BigInteger getNumberOfGolfers() throws JastorException {
		if (numberOfGolfers != null)
			return numberOfGolfers;
		com.hp.hpl.jena.rdf.model.Statement stmt = _model.getProperty(_resource, numberOfGolfersProperty);
		if (stmt == null)
			return null;
		if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
			throw new JastorInvalidRDFNodeException(uri() + ": numberOfGolfers getProperty() in golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime model not Literal", stmt.getObject());
		com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
		Object obj = literal.getValue();
		if (!(obj instanceof java.math.BigInteger))
			throw new JastorInvalidLiteralException (this.uri() + ": Literal numberOfGolfers in GolfCourseTeeTime is not of type java.math.BigInteger", literal);
		numberOfGolfers = (java.math.BigInteger)obj;
		return numberOfGolfers;
	}
	
	public void setNumberOfGolfers(java.math.BigInteger numberOfGolfers) throws JastorException {
		if (_resource.hasProperty(numberOfGolfersProperty)) {
			_resource.removeAll(numberOfGolfersProperty);
		}
		this.numberOfGolfers = numberOfGolfers;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
		if (numberOfGolfers != null) {
			_resource.addProperty(numberOfGolfersProperty, _model.createTypedLiteral(numberOfGolfers));
		}	
	}

	public java.lang.Float getMaxPrice() throws JastorException {
		if (maxPrice != null)
			return maxPrice;
		com.hp.hpl.jena.rdf.model.Statement stmt = _model.getProperty(_resource, maxPriceProperty);
		if (stmt == null)
			return null;
		if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
			throw new JastorInvalidRDFNodeException(uri() + ": maxPrice getProperty() in golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime model not Literal", stmt.getObject());
		com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
		Object obj = literal.getValue();
		if (!(obj instanceof java.lang.Float))
			throw new JastorInvalidLiteralException (this.uri() + ": Literal maxPrice in GolfCourseTeeTime is not of type java.lang.Float", literal);
		maxPrice = (java.lang.Float)obj;
		return maxPrice;
	}
	
	public void setMaxPrice(java.lang.Float maxPrice) throws JastorException {
		if (_resource.hasProperty(maxPriceProperty)) {
			_resource.removeAll(maxPriceProperty);
		}
		this.maxPrice = maxPrice;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
		if (maxPrice != null) {
			_resource.addProperty(maxPriceProperty, _model.createTypedLiteral(maxPrice));
		}	
	}

	public java.lang.String getStartDate() throws JastorException {
		if (startDate != null)
			return startDate;
		com.hp.hpl.jena.rdf.model.Statement stmt = _model.getProperty(_resource, startDateProperty);
		if (stmt == null)
			return null;
		if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
			throw new JastorInvalidRDFNodeException(uri() + ": startDate getProperty() in golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime model not Literal", stmt.getObject());
		com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
		Object obj = literal.getValue();
		if (!(obj instanceof java.lang.String))
			throw new JastorInvalidLiteralException (this.uri() + ": Literal startDate in GolfCourseTeeTime is not of type java.lang.String", literal);
		startDate = (java.lang.String)obj;
		return startDate;
	}
	
	public void setStartDate(java.lang.String startDate) throws JastorException {
		if (_resource.hasProperty(startDateProperty)) {
			_resource.removeAll(startDateProperty);
		}
		this.startDate = startDate;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
		if (startDate != null) {
			_resource.addProperty(startDateProperty, _model.createTypedLiteral(startDate));
		}	
	}

	public java.lang.String getEndDate() throws JastorException {
		if (endDate != null)
			return endDate;
		com.hp.hpl.jena.rdf.model.Statement stmt = _model.getProperty(_resource, endDateProperty);
		if (stmt == null)
			return null;
		if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
			throw new JastorInvalidRDFNodeException(uri() + ": endDate getProperty() in golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTime model not Literal", stmt.getObject());
		com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
		Object obj = literal.getValue();
		if (!(obj instanceof java.lang.String))
			throw new JastorInvalidLiteralException (this.uri() + ": Literal endDate in GolfCourseTeeTime is not of type java.lang.String", literal);
		endDate = (java.lang.String)obj;
		return endDate;
	}
	
	public void setEndDate(java.lang.String endDate) throws JastorException {
		if (_resource.hasProperty(endDateProperty)) {
			_resource.removeAll(endDateProperty);
		}
		this.endDate = endDate;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   
		if (endDate != null) {
			_resource.addProperty(endDateProperty, _model.createTypedLiteral(endDate));
		}	
	}


	private void initFee() throws JastorException {
		this.fee = new java.util.ArrayList();
		StmtIterator it = _model.listStatements(_resource, feeProperty, (RDFNode)null);
		while(it.hasNext()) {
			com.hp.hpl.jena.rdf.model.Statement stmt = (com.hp.hpl.jena.rdf.model.Statement)it.next();
			if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Resource.class))
				throw new JastorInvalidRDFNodeException (uri() + ": One of the file:///D:/ontologies/domain/Golf/GolfCourseTeeTime#fee properties in GolfCourseTeeTime model not a Resource", stmt.getObject());
			com.hp.hpl.jena.rdf.model.Resource resource = (com.hp.hpl.jena.rdf.model.Resource) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Resource.class);
			if (true) { // don't check resource type if the property range is Resource
				com.ibm.adtech.jastor.Thing fee = com.ibm.adtech.jastor.ThingFactory.getThing(resource,_model);
				this.fee.add(fee);
			}
		}
	}

	public java.util.Iterator getFee() throws JastorException {
		if (fee == null)
			initFee();
		return new com.ibm.adtech.jastor.util.CachedPropertyIterator(fee,_resource,feeProperty,true);
	}

	public void addFee(com.ibm.adtech.jastor.Thing fee) throws JastorException {
		if (this.fee == null)
			initFee();
		if (this.fee.contains(fee)) {
			this.fee.remove(fee);
			this.fee.add(fee);
			return;
		}
		this.fee.add(fee);
		_resource.addProperty(feeProperty,fee.resource());
	}
	
	public com.ibm.adtech.jastor.Thing addFee() throws JastorException {
		com.ibm.adtech.jastor.Thing fee = com.ibm.adtech.jastor.ThingFactory.createThing(_model.createResource(),_model);
		if (this.fee == null)
			initFee();
		this.fee.add(fee);
		_resource.addProperty(feeProperty,fee.resource());
		return fee;
	}
	
	public com.ibm.adtech.jastor.Thing addFee(com.hp.hpl.jena.rdf.model.Resource resource) throws JastorException {
		com.ibm.adtech.jastor.Thing fee = com.ibm.adtech.jastor.ThingFactory.getThing(resource,_model);
		if (this.fee == null)
			initFee();
		if (this.fee.contains(fee))
			return fee;
		this.fee.add(fee);
		_resource.addProperty(feeProperty,fee.resource());
		return fee;
	}
	
	public void removeFee(com.ibm.adtech.jastor.Thing fee) throws JastorException {
		if (this.fee == null)
			initFee();
		if (!this.fee.contains(fee))
			return;
		if (!_model.contains(_resource, feeProperty, fee.resource()))
			return;
		this.fee.remove(fee);
		_model.remove(_model.listStatements(_resource, feeProperty, fee.resource()));
	}
		  


	private java.util.ArrayList listeners;
	
	public void registerListener(ThingListener listener) {
		if (!(listener instanceof GolfCourseTeeTimeListener))
			throw new IllegalArgumentException("ThingListener must be instance of GolfCourseTeeTimeListener"); 
		if (listeners == null)
			setupModelListener();
		if(!this.listeners.contains(listener)){
			this.listeners.add((GolfCourseTeeTimeListener)listener);
		}
	}
	
	public void unregisterListener(ThingListener listener) {
		if (!(listener instanceof GolfCourseTeeTimeListener))
			throw new IllegalArgumentException("ThingListener must be instance of GolfCourseTeeTimeListener"); 
		if (listeners == null)
			return;
		if (this.listeners.contains(listener)){
			listeners.remove(listener);
		}
	}



	// private class ThingModelChangedListener extends StatementListener {
	
		public void addedStatement(com.hp.hpl.jena.rdf.model.Statement stmt) {
//			if (!stmt.getSubject().equals(_resource))
//				return;
			if (stmt.getPredicate().equals(golfCourseIDProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue();
				if (obj instanceof java.lang.String)
					golfCourseID = (java.lang.String) obj;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.golfCourseIDChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(numberOfTimesProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue();
				if (obj instanceof java.math.BigInteger)
					numberOfTimes = (java.math.BigInteger) obj;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.numberOfTimesChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(currencyCodeProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue();
				if (obj instanceof java.lang.String)
					currencyCode = (java.lang.String) obj;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.currencyCodeChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(amountProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue();
				if (obj instanceof java.lang.Float)
					amount = (java.lang.Float) obj;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.amountChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(numberOfHolesProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue();
				if (obj instanceof java.math.BigInteger)
					numberOfHoles = (java.math.BigInteger) obj;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.numberOfHolesChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(numberOfGolfersProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue();
				if (obj instanceof java.math.BigInteger)
					numberOfGolfers = (java.math.BigInteger) obj;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.numberOfGolfersChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(maxPriceProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue();
				if (obj instanceof java.lang.Float)
					maxPrice = (java.lang.Float) obj;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.maxPriceChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(startDateProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue();
				if (obj instanceof java.lang.String)
					startDate = (java.lang.String) obj;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.startDateChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(endDateProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue();
				if (obj instanceof java.lang.String)
					endDate = (java.lang.String) obj;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.endDateChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(feeProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Resource.class))
					return;
				com.hp.hpl.jena.rdf.model.Resource resource = (com.hp.hpl.jena.rdf.model.Resource) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Resource.class);
				if (true) { // don't check resource type if the property range is Resource
					com.ibm.adtech.jastor.Thing _fee = null;
					try {
						_fee = com.ibm.adtech.jastor.ThingFactory.getThing(resource,_model);
					} catch (JastorException e) {
						//e.printStackTrace();
					}
					if (fee == null) {
						try {
							initFee();
						} catch (JastorException e) {
							e.printStackTrace();
							return;
						}
					}
					if (!fee.contains(_fee))
						fee.add(_fee);
					if (listeners != null) {
						java.util.ArrayList consumersForFee;
						synchronized (listeners) {
							consumersForFee = (java.util.ArrayList) listeners.clone();
						}
						for(java.util.Iterator iter=consumersForFee.iterator();iter.hasNext();){
							GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
							listener.feeAdded(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this,_fee);
						}
					}
				}
				return;
			}
		}
		
		public void removedStatement(com.hp.hpl.jena.rdf.model.Statement stmt) {
//			if (!stmt.getSubject().equals(_resource))
//				return;
			if (stmt.getPredicate().equals(golfCourseIDProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue(); // UPDATED
				if (obj instanceof java.lang.String)
					if (golfCourseID != null && golfCourseID.equals(obj))
						golfCourseID = null;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.golfCourseIDChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(numberOfTimesProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue(); // UPDATED
				if (obj instanceof java.math.BigInteger)
					if (numberOfTimes != null && numberOfTimes.equals(obj))
						numberOfTimes = null;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.numberOfTimesChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(currencyCodeProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue(); // UPDATED
				if (obj instanceof java.lang.String)
					if (currencyCode != null && currencyCode.equals(obj))
						currencyCode = null;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.currencyCodeChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(amountProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue(); // UPDATED
				if (obj instanceof java.lang.Float)
					if (amount != null && amount.equals(obj))
						amount = null;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.amountChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(numberOfHolesProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue(); // UPDATED
				if (obj instanceof java.math.BigInteger)
					if (numberOfHoles != null && numberOfHoles.equals(obj))
						numberOfHoles = null;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.numberOfHolesChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(numberOfGolfersProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue(); // UPDATED
				if (obj instanceof java.math.BigInteger)
					if (numberOfGolfers != null && numberOfGolfers.equals(obj))
						numberOfGolfers = null;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.numberOfGolfersChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(maxPriceProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue(); // UPDATED
				if (obj instanceof java.lang.Float)
					if (maxPrice != null && maxPrice.equals(obj))
						maxPrice = null;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.maxPriceChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(startDateProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue(); // UPDATED
				if (obj instanceof java.lang.String)
					if (startDate != null && startDate.equals(obj))
						startDate = null;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.startDateChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(endDateProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Literal.class))
					return;
				com.hp.hpl.jena.rdf.model.Literal literal = (com.hp.hpl.jena.rdf.model.Literal) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Literal.class);
				//Object obj = literal.getValue();
				Object obj = literal.getValue(); // UPDATED
				if (obj instanceof java.lang.String)
					if (endDate != null && endDate.equals(obj))
						endDate = null;
				if (listeners != null) {
					java.util.ArrayList consumers;
					synchronized (listeners) {
						consumers = (java.util.ArrayList) listeners.clone();
					}
					for(java.util.Iterator iter=consumers.iterator();iter.hasNext();){
						GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
						listener.endDateChanged(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this);
					}
				}
				return;
			}
			if (stmt.getPredicate().equals(feeProperty)) {
				if (!stmt.getObject().canAs(com.hp.hpl.jena.rdf.model.Resource.class))
					return;
				com.hp.hpl.jena.rdf.model.Resource resource = (com.hp.hpl.jena.rdf.model.Resource) stmt.getObject().as(com.hp.hpl.jena.rdf.model.Resource.class);
				if (true) { // don't check resource type if the property range is Resource
					com.ibm.adtech.jastor.Thing _fee = null;
					if (fee != null) {
						boolean found = false;
						for (int i=0;i<fee.size();i++) {
							com.ibm.adtech.jastor.Thing __item = (com.ibm.adtech.jastor.Thing) fee.get(i);
							if (__item.resource().equals(resource)) {
								found = true;
								_fee = __item;
								break;
							}
						}
						if (found)
							fee.remove(_fee);
						else {
							try {
								_fee = com.ibm.adtech.jastor.ThingFactory.getThing(resource,_model);
							} catch (JastorException e) {
							}
						}
					} else {
						try {
							_fee = com.ibm.adtech.jastor.ThingFactory.getThing(resource,_model);
						} catch (JastorException e) {
						}
					}
					if (listeners != null) {
						java.util.ArrayList consumersForFee;
						synchronized (listeners) {
							consumersForFee = (java.util.ArrayList) listeners.clone();
						}
						for(java.util.Iterator iter=consumersForFee.iterator();iter.hasNext();){
							GolfCourseTeeTimeListener listener=(GolfCourseTeeTimeListener)iter.next();
							listener.feeRemoved(golfCourse.ontologies.jastor.golfCourseTeeTime.GolfCourseTeeTimeImpl.this,_fee);
						}
					}
				}
				return;
			}
		}

	//}
	


}