

package golfCourse.ontologies.jastor.location;

/*
import com.hp.hpl.jena.datatypes.xsd.*;
import com.hp.hpl.jena.datatypes.xsd.impl.*;
*/
import com.hp.hpl.jena.rdf.model.*;
//import com.ibm.adtech.jastor.JastorException;

/**
 * Interface for AddressRecord ontology class<br>
 * Use the golfCourse.ontologies.jastor.location.AddressRecordFactory to create instances of this interface.
 * <p>(URI: file:///D:/ontologies/domain/Location/AddressRecord#AddressRecord)</p>
 * <br>
 * RDF Schema Standard Properties <br>
 * 	comment : Detailed address information. <br>
 * <br>
 * <br>
 */
public interface AddressRecord extends com.ibm.adtech.jastor.Thing {
	
	/**
	 * The rdf:type for this ontology class
     */
	public static final Resource TYPE = ResourceFactory.createResource("file:///D:/ontologies/domain/Location/AddressRecord#AddressRecord");
	

	/**
	 * The Jena Property for zip 
	 * <p>(URI: file:///D:/ontologies/domain/Location/AddressRecord#zip)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property zipProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Location/AddressRecord#zip");


	/**
	 * The Jena Property for fullAddress 
	 * <p>(URI: file:///D:/ontologies/domain/Location/AddressRecord#fullAddress)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property fullAddressProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Location/AddressRecord#fullAddress");


	/**
	 * The Jena Property for region 
	 * <p>(URI: file:///D:/ontologies/domain/Location/AddressRecord#region)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property regionProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Location/AddressRecord#region");


	/**
	 * The Jena Property for flatNumber 
	 * <p>(URI: file:///D:/ontologies/domain/Location/AddressRecord#flatNumber)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property flatNumberProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Location/AddressRecord#flatNumber");


	/**
	 * The Jena Property for country 
	 * <p>(URI: file:///D:/ontologies/domain/Location/AddressRecord#country)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property countryProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Location/AddressRecord#country");


	/**
	 * The Jena Property for houseNumber 
	 * <p>(URI: file:///D:/ontologies/domain/Location/AddressRecord#houseNumber)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property houseNumberProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Location/AddressRecord#houseNumber");


	/**
	 * The Jena Property for street 
	 * <p>(URI: file:///D:/ontologies/domain/Location/AddressRecord#street)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property streetProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Location/AddressRecord#street");


	/**
	 * The Jena Property for city 
	 * <p>(URI: file:///D:/ontologies/domain/Location/AddressRecord#city)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property cityProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Location/AddressRecord#city");



	/**
	 * Gets the 'zip' property value
	 * @return		{@link java.lang.String}
	 * @see			#zipProperty
	 */
	public java.lang.String getZip() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'zip' property value
	 * @param		{@link java.lang.String}
	 * @see			#zipProperty
	 */
	public void setZip(java.lang.String zip) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'fullAddress' property value
	 * @return		{@link java.lang.String}
	 * @see			#fullAddressProperty
	 */
	public java.lang.String getFullAddress() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'fullAddress' property value
	 * @param		{@link java.lang.String}
	 * @see			#fullAddressProperty
	 */
	public void setFullAddress(java.lang.String fullAddress) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'region' property value
	 * @return		{@link java.lang.String}
	 * @see			#regionProperty
	 */
	public java.lang.String getRegion() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'region' property value
	 * @param		{@link java.lang.String}
	 * @see			#regionProperty
	 */
	public void setRegion(java.lang.String region) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'flatNumber' property value
	 * @return		{@link java.lang.String}
	 * @see			#flatNumberProperty
	 */
	public java.lang.String getFlatNumber() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'flatNumber' property value
	 * @param		{@link java.lang.String}
	 * @see			#flatNumberProperty
	 */
	public void setFlatNumber(java.lang.String flatNumber) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'country' property value
	 * @return		{@link java.lang.String}
	 * @see			#countryProperty
	 */
	public java.lang.String getCountry() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'country' property value
	 * @param		{@link java.lang.String}
	 * @see			#countryProperty
	 */
	public void setCountry(java.lang.String country) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'houseNumber' property value
	 * @return		{@link java.lang.String}
	 * @see			#houseNumberProperty
	 */
	public java.lang.String getHouseNumber() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'houseNumber' property value
	 * @param		{@link java.lang.String}
	 * @see			#houseNumberProperty
	 */
	public void setHouseNumber(java.lang.String houseNumber) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'street' property value
	 * @return		{@link java.lang.String}
	 * @see			#streetProperty
	 */
	public java.lang.String getStreet() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'street' property value
	 * @param		{@link java.lang.String}
	 * @see			#streetProperty
	 */
	public void setStreet(java.lang.String street) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'city' property value
	 * @return		{@link java.lang.String}
	 * @see			#cityProperty
	 */
	public java.lang.String getCity() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'city' property value
	 * @param		{@link java.lang.String}
	 * @see			#cityProperty
	 */
	public void setCity(java.lang.String city) throws com.ibm.adtech.jastor.JastorException;

}