package golfCourse.dao;

import golfCourse.ontologies.jastor.golfCourse.GolfCourse;

import java.util.Comparator;

public class GolfCourseWithConditions implements Comparable{

	public GolfCourse golfCourse;
	public int count = 0;
	
	public GolfCourseWithConditions(GolfCourse golfCourse)
	{
		this.golfCourse = golfCourse;
		this.count = 0;
	}
	
	public int compareTo(Object o){
		
		GolfCourseWithConditions o2 = (GolfCourseWithConditions)o;
		
		if(this.count < o2.count)
			return -1;
		
		if(this.count > o2.count)
			return 1;
		return 0;
	}
}
