

package golfCourse.ontologies.jastor.description;

/*
import com.hp.hpl.jena.datatypes.xsd.*;
import com.hp.hpl.jena.datatypes.xsd.impl.*;
*/
import com.hp.hpl.jena.rdf.model.*;
//import com.ibm.adtech.jastor.JastorException;

/**
 * Interface for Description ontology class<br>
 * Use the golfCourse.ontologies.jastor.description.DescriptionFactory to create instances of this interface.
 * <p>(URI: file:///D:/ontologies/domain/Golf/Description#Description)</p>
 * <br>
 * <br>
 * <br>
 */
public interface Description extends com.ibm.adtech.jastor.Thing {
	
	/**
	 * The rdf:type for this ontology class
     */
	public static final Resource TYPE = ResourceFactory.createResource("file:///D:/ontologies/domain/Golf/Description#Description");
	

	/**
	 * The Jena Property for createDateTime 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/Description#createDateTime)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property createDateTimeProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/Description#createDateTime");


	/**
	 * The Jena Property for name 
	 * <p>(URI: file:///D:/ontologies/domain/Golf/Description#name)</p>
	 * <br>  
	 */
	public static com.hp.hpl.jena.rdf.model.Property nameProperty = ResourceFactory.createProperty("file:///D:/ontologies/domain/Golf/Description#name");



	/**
	 * Gets the 'createDateTime' property value
	 * @return		{@link java.lang.String}
	 * @see			#createDateTimeProperty
	 */
	public java.lang.String getCreateDateTime() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'createDateTime' property value
	 * @param		{@link java.lang.String}
	 * @see			#createDateTimeProperty
	 */
	public void setCreateDateTime(java.lang.String createDateTime) throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Gets the 'name' property value
	 * @return		{@link java.lang.String}
	 * @see			#nameProperty
	 */
	public java.lang.String getName() throws com.ibm.adtech.jastor.JastorException;

	/**
	 * Sets the 'name' property value
	 * @param		{@link java.lang.String}
	 * @see			#nameProperty
	 */
	public void setName(java.lang.String name) throws com.ibm.adtech.jastor.JastorException;

}